/**
 * test/demos/dnsresolve.c
 * Copyright (C) 2008 Markus Broeker
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <arpa/inet.h>
#include <netdb.h>

int main (int argc, char **argv)
{
    struct hostent *he;
    char *ip;

    int i = 0;

    if (argc != 2) {
        fprintf (stderr, "Usage: %s hostname\n", argv[0]);
        exit (0);
    }

    he = gethostbyname (argv[1]);
    ip = NULL;

    if (he != NULL) {
        while (he->h_addr_list[i] != NULL) {
            ip = inet_ntoa (*((struct in_addr *)he->h_addr_list[i]));
            printf ("%s: %s\n", argv[1], ip);
            i++;
        }
    }

    return EXIT_SUCCESS;
}
